<?php
class settings {
    
    // hodnoty predávané pri príhlasovani uzivatela
    var $verzia_db;
    var $nazov_vp1;
    var $nazov_vp2;
    var $nazov_vp3;
    var $sablona_lok;
    var $sablona_maj;
    var $sablona_user;
    var $mysqldump_dir;
    var $backup_dir;
    var $ftp_server;
    var $ftp_username;
    var $ftp_userpass;
    
    // konstruktor triedy obsahující inicializaciu niektorých premennych
    function __construct() {
        
        // zabezpecenie proti utokom typu SQL inject
        $this->nazov_vp1=$this->test_sql($this->nazov_vp1);
        $this->nazov_vp2=$this->test_sql($this->nazov_vp2);
        $this->nazov_vp3=$this->test_sql($this->nazov_vp3);
        $this->sablona_lok=$this->test_sql($this->sablona_lok);
        $this->sablona_maj=$this->test_sql($this->sablona_maj);
        $this->sablona_user=$this->test_sql($this->sablona_user);
        $this->mysqldump_dir=$this->test_sql($this->mysqldump_dir);
        $this->backup_dir=$this->test_sql($this->backup_dir);
        $this->ftp_server=$this->test_sql($this->ftp_server);
        $this->ftp_username=$this->test_sql($this->ftp_username);
        $this->ftp_userpass=$this->test_sql($this->ftp_userpass);
        
        global $db;
   
        $query = "select * from nastavenia limit 1";
        $result = $db->sql($query);
        $data = $result->fetch();
        if ($data["id"]) {
            $this->verzia_db = $data["verzia"];
            $this->nazov_vp1 = $data["nazov_vp1"];
            $this->nazov_vp2 = $data["nazov_vp2"];
            $this->nazov_vp3 = $data["nazov_vp3"];
            $this->sablona_lok = $data["sablona_lok"];
            $this->sablona_maj = $data["sablona_maj"];
            $this->sablona_user = $data["sablona_user"];
            $this->mysqldump_dir = $data["mysqldump_dir"];
            $this->backup_dir = $data["backup_dir"];
            $this->ftp_server = $data["ftp_server"];
            $this->ftp_username = $data["ftp_username"];
            $this->ftp_userpass = $data["ftp_userpass"];
        } else {
            $this->nazov_vp1 = 'VP1';
            $this->nazov_vp2 = 'VP2';
            $this->nazov_vp3 = 'VP3';
            $this->sablona_lok = '../DPL_lokacia.txt';
            $this->sablona_maj = '../DPL_majetok.txt';
            $this->sablona_user = '../DPL_uzivatel.txt';
            $this->mysqldump_dir = '../../../mysql/bin';
            $this->backup_dir = '../sql/backup';
        }
    }
    
    // zabezpecenie proti utokom typu SQL inject
    function test_sql($teststring) {
        if (!is_null($teststring)) {
            $teststring = strtr($teststring, " ", "x");
            $teststring = strtr($teststring, "'", "x");
            $teststring = strtr($teststring, "+", "x");
            $teststring = strtr($teststring, "--", "x");
            $teststring = strtr($teststring, "&", "x");
        }
        return ($teststring);
    }
    
}
?>