-- phpMyAdmin SQL Dump
-- version 5.2.1
-- https://www.phpmyadmin.net/
--
-- Hostiteľ: 127.0.0.1
-- Čas generovania: Út 29.Aug 2023, 19:56
-- Verzia serveru: 10.4.25-MariaDB
-- Verzia PHP: 8.1.10

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Databáza: `ema`
--
CREATE DATABASE IF NOT EXISTS `ema` DEFAULT CHARACTER SET utf8 COLLATE utf8_slovak_ci;
USE `ema`;

-- --------------------------------------------------------

--
-- Štruktúra tabuľky pre tabuľku `druhy`
--

CREATE TABLE `druhy` (
  `id` int(11) NOT NULL,
  `kod` varchar(20) COLLATE utf8_slovak_ci NOT NULL,
  `nazov` varchar(40) COLLATE utf8_slovak_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_slovak_ci;

-- --------------------------------------------------------

--
-- Štruktúra tabuľky pre tabuľku `ekon_obj`
--

CREATE TABLE `ekon_obj` (
  `id` int(11) NOT NULL,
  `kod` varchar(20) COLLATE utf8_slovak_ci NOT NULL,
  `nazov` varchar(40) COLLATE utf8_slovak_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_slovak_ci;

-- --------------------------------------------------------

--
-- Štruktúra tabuľky pre tabuľku `files`
--

CREATE TABLE `files` (
  `id` int(11) NOT NULL,
  `web_path` varchar(130) COLLATE utf8_slovak_ci NOT NULL,
  `system_path` varchar(130) COLLATE utf8_slovak_ci NOT NULL,
  `typ` tinyint(4) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_slovak_ci;

-- --------------------------------------------------------

--
-- Štruktúra tabuľky pre tabuľku `inventura`
--

CREATE TABLE `inventura` (
  `id` int(11) NOT NULL,
  `kod` varchar(20) COLLATE utf8_slovak_ci NOT NULL,
  `kod_lok` varchar(20) COLLATE utf8_slovak_ci NOT NULL,
  `mnozstvo` decimal(10,2) NOT NULL,
  `poznamka` varchar(80) COLLATE utf8_slovak_ci NOT NULL,
  `vyradit` tinyint(1) NOT NULL,
  `identifikacia` tinyint(1) NOT NULL,
  `kod_uziv` varchar(20) COLLATE utf8_slovak_ci NOT NULL,
  `datum` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_slovak_ci;

-- --------------------------------------------------------

--
-- Štruktúra tabuľky pre tabuľku `lokacie`
--

CREATE TABLE `lokacie` (
  `id` int(11) NOT NULL,
  `kod` varchar(20) COLLATE utf8_slovak_ci NOT NULL,
  `nazov` varchar(40) COLLATE utf8_slovak_ci NOT NULL,
  `nadrad_kod` varchar(20) COLLATE utf8_slovak_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_slovak_ci;

-- --------------------------------------------------------

--
-- Štruktúra tabuľky pre tabuľku `majetok`
--

CREATE TABLE `majetok` (
  `id` int(11) NOT NULL,
  `kod` varchar(20) COLLATE utf8_slovak_ci NOT NULL,
  `nazov` varchar(100) COLLATE utf8_slovak_ci NOT NULL,
  `druh` varchar(20) COLLATE utf8_slovak_ci NOT NULL,
  `datum_zarad` date NOT NULL,
  `cena` decimal(10,2) NOT NULL,
  `vyr_cislo` varchar(20) COLLATE utf8_slovak_ci NOT NULL,
  `kod_os` varchar(20) COLLATE utf8_slovak_ci NOT NULL,
  `kod_eo` varchar(20) COLLATE utf8_slovak_ci NOT NULL,
  `kod_lok` varchar(20) COLLATE utf8_slovak_ci NOT NULL,
  `kod_osoby` varchar(20) COLLATE utf8_slovak_ci NOT NULL,
  `mnozstvo` decimal(10,2) NOT NULL DEFAULT 0.00,
  `vp1` varchar(80) COLLATE utf8_slovak_ci NOT NULL,
  `vp2` varchar(80) COLLATE utf8_slovak_ci NOT NULL,
  `vp3` varchar(80) COLLATE utf8_slovak_ci NOT NULL,
  `novy` tinyint(1) NOT NULL DEFAULT 0,
  `datum_inv` date NOT NULL,
  `poznamka_inv` varchar(250) COLLATE utf8_slovak_ci NOT NULL,
  `datum_vymaz` date NOT NULL,
  `vymazal` varchar(40) COLLATE utf8_slovak_ci NOT NULL,
  `datum_vyrad` date DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_slovak_ci;

--
-- Spúšťače `majetok`
--
DELIMITER $$
CREATE TRIGGER `majetok_ad` AFTER DELETE ON `majetok` FOR EACH ROW BEGIN
  delete from majetok_file where majetok_id=old.id;
  delete from files where not exists(select id from majetok_file where majetok_file.file_id=files.id);
END
$$
DELIMITER ;

-- --------------------------------------------------------

--
-- Štruktúra tabuľky pre tabuľku `majetok_file`
--

CREATE TABLE `majetok_file` (
  `majetok_id` int(11) NOT NULL,
  `file_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_slovak_ci;

-- --------------------------------------------------------

--
-- Štruktúra tabuľky pre tabuľku `majetok_tmp`
--

CREATE TABLE `majetok_tmp` (
  `id` int(11) NOT NULL,
  `kod` varchar(20) COLLATE utf8_slovak_ci NOT NULL,
  `nazov` varchar(100) COLLATE utf8_slovak_ci NOT NULL,
  `druh` varchar(20) COLLATE utf8_slovak_ci NOT NULL,
  `datum_zarad` date NOT NULL,
  `cena` decimal(10,2) NOT NULL,
  `vyr_cislo` varchar(20) COLLATE utf8_slovak_ci NOT NULL,
  `kod_os` varchar(20) COLLATE utf8_slovak_ci NOT NULL,
  `kod_eo` varchar(20) COLLATE utf8_slovak_ci NOT NULL,
  `kod_lok` varchar(20) COLLATE utf8_slovak_ci NOT NULL,
  `kod_osoby` varchar(20) COLLATE utf8_slovak_ci NOT NULL,
  `mnozstvo` decimal(10,2) NOT NULL DEFAULT 0.00,
  `vp1` varchar(80) COLLATE utf8_slovak_ci NOT NULL,
  `vp2` varchar(80) COLLATE utf8_slovak_ci NOT NULL,
  `vp3` varchar(80) COLLATE utf8_slovak_ci NOT NULL,
  `status` tinyint(4) NOT NULL DEFAULT 0,
  `rozdiel` decimal(10,2) NOT NULL DEFAULT 0.00
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_slovak_ci;

-- --------------------------------------------------------

--
-- Štruktúra tabuľky pre tabuľku `nastavenia`
--

CREATE TABLE `nastavenia` (
  `id` int(11) NOT NULL,
  `verzia` smallint(6) NOT NULL DEFAULT 100,
  `nazov_vp1` varchar(20) COLLATE utf8_slovak_ci NOT NULL,
  `nazov_vp2` varchar(20) COLLATE utf8_slovak_ci NOT NULL,
  `nazov_vp3` varchar(20) COLLATE utf8_slovak_ci NOT NULL,
  `sablona_lok` varchar(40) COLLATE utf8_slovak_ci NOT NULL,
  `sablona_maj` varchar(40) COLLATE utf8_slovak_ci NOT NULL,
  `sablona_user` varchar(40) COLLATE utf8_slovak_ci NOT NULL,
  `mysqldump_dir` varchar(40) COLLATE utf8_slovak_ci NOT NULL,
  `backup_dir` varchar(40) COLLATE utf8_slovak_ci NOT NULL,
  `ftp_printer` tinyint(4) NOT NULL DEFAULT 0,
  `ftp_server` varchar(15) COLLATE utf8_slovak_ci NOT NULL,
  `ftp_username` varchar(20) COLLATE utf8_slovak_ci NOT NULL,
  `ftp_userpass` varchar(20) COLLATE utf8_slovak_ci NOT NULL,
  `language` tinyint(4) NOT NULL DEFAULT 0,
  `doc_path` varchar(256) COLLATE utf8_slovak_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_slovak_ci;

--
-- Sťahujem dáta pre tabuľku `nastavenia`
--

INSERT INTO `nastavenia` (`id`, `verzia`, `nazov_vp1`, `nazov_vp2`, `nazov_vp3`, `sablona_lok`, `sablona_maj`, `sablona_user`, `mysqldump_dir`, `backup_dir`, `ftp_printer`, `ftp_server`, `ftp_username`, `ftp_userpass`, `language`, `doc_path`) VALUES
(1, 300, 'Pole 1', 'Pole 2', 'Pole 3', '../DPL_lokacia.txt', '../DPL_majetok.txt', '../DPL_uzivatel.txt', 'c:/xampp/mysql/bin', 'c:/xampp/htdocs/webema/sql/backup', 0, '', '', '', 0, '');

-- --------------------------------------------------------

--
-- Štruktúra tabuľky pre tabuľku `org_str`
--

CREATE TABLE `org_str` (
  `id` int(11) NOT NULL,
  `kod` varchar(20) COLLATE utf8_slovak_ci NOT NULL,
  `nazov` varchar(40) COLLATE utf8_slovak_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_slovak_ci;

-- --------------------------------------------------------

--
-- Štruktúra tabuľky pre tabuľku `osoby`
--

CREATE TABLE `osoby` (
  `id` int(11) NOT NULL,
  `kod` varchar(20) COLLATE utf8_slovak_ci NOT NULL,
  `meno` varchar(40) COLLATE utf8_slovak_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_slovak_ci;

-- --------------------------------------------------------

--
-- Štruktúra tabuľky pre tabuľku `prava`
--

CREATE TABLE `prava` (
  `id` int(11) NOT NULL,
  `kod_uziv` varchar(20) COLLATE utf8_slovak_ci NOT NULL,
  `kod_lok` varchar(20) COLLATE utf8_slovak_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_slovak_ci;

-- --------------------------------------------------------

--
-- Štruktúra tabuľky pre tabuľku `users`
--

CREATE TABLE `users` (
  `id` int(11) NOT NULL,
  `username` varchar(20) COLLATE utf8_slovak_ci NOT NULL DEFAULT '',
  `pw` varchar(32) COLLATE utf8_slovak_ci NOT NULL DEFAULT '',
  `firstname` varchar(16) COLLATE utf8_slovak_ci NOT NULL DEFAULT '',
  `lastname` varchar(16) COLLATE utf8_slovak_ci NOT NULL DEFAULT '',
  `session` varchar(32) COLLATE utf8_slovak_ci DEFAULT '',
  `ip` varchar(15) COLLATE utf8_slovak_ci NOT NULL,
  `lasttime` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `account_type` smallint(11) NOT NULL,
  `scroll_type` smallint(6) NOT NULL DEFAULT 0,
  `order` smallint(6) NOT NULL DEFAULT 0,
  `language` tinyint(4) NOT NULL DEFAULT 0,
  `right_majetok` varchar(5) COLLATE utf8_slovak_ci NOT NULL DEFAULT '11111',
  `right_inventura` varchar(5) COLLATE utf8_slovak_ci NOT NULL DEFAULT '11111',
  `right_ciselniky` varchar(5) COLLATE utf8_slovak_ci NOT NULL DEFAULT '11111'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_slovak_ci;

--
-- Sťahujem dáta pre tabuľku `users`
--

INSERT INTO `users` (`id`, `username`, `pw`, `firstname`, `lastname`, `session`, `ip`, `lasttime`, `account_type`, `scroll_type`, `order`, `language`, `right_majetok`, `right_inventura`, `right_ciselniky`) VALUES
(1, 'admin', '', 'admin', '', '', '::1', '2023-08-28 11:52:41', 0, 1, 1, 0, '11111', '11111', '11111');

-- --------------------------------------------------------

--
-- Štruktúra tabuľky pre tabuľku `uzivatelia`
--

CREATE TABLE `uzivatelia` (
  `id` int(11) NOT NULL,
  `kod` varchar(20) COLLATE utf8_slovak_ci NOT NULL,
  `meno` varchar(40) COLLATE utf8_slovak_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_slovak_ci;

--
-- Kľúče pre exportované tabuľky
--

--
-- Indexy pre tabuľku `druhy`
--
ALTER TABLE `druhy`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `kod` (`kod`);

--
-- Indexy pre tabuľku `ekon_obj`
--
ALTER TABLE `ekon_obj`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `kod` (`kod`);

--
-- Indexy pre tabuľku `files`
--
ALTER TABLE `files`
  ADD PRIMARY KEY (`id`);

--
-- Indexy pre tabuľku `inventura`
--
ALTER TABLE `inventura`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `kod_kodlok` (`kod`,`kod_lok`) USING BTREE;

--
-- Indexy pre tabuľku `lokacie`
--
ALTER TABLE `lokacie`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `kod` (`kod`);

--
-- Indexy pre tabuľku `majetok`
--
ALTER TABLE `majetok`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `kod` (`kod`);

--
-- Indexy pre tabuľku `majetok_file`
--
ALTER TABLE `majetok_file`
  ADD KEY `majetok_fileid` (`majetok_id`,`file_id`) USING BTREE;

--
-- Indexy pre tabuľku `majetok_tmp`
--
ALTER TABLE `majetok_tmp`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `kod` (`kod`);

--
-- Indexy pre tabuľku `nastavenia`
--
ALTER TABLE `nastavenia`
  ADD PRIMARY KEY (`id`);

--
-- Indexy pre tabuľku `org_str`
--
ALTER TABLE `org_str`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `kod` (`kod`);

--
-- Indexy pre tabuľku `osoby`
--
ALTER TABLE `osoby`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `kod` (`kod`);

--
-- Indexy pre tabuľku `prava`
--
ALTER TABLE `prava`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `uziv_lok` (`kod_uziv`,`kod_lok`) USING BTREE,
  ADD KEY `prava_fk_kodlok` (`kod_lok`);

--
-- Indexy pre tabuľku `users`
--
ALTER TABLE `users`
  ADD UNIQUE KEY `id` (`id`);

--
-- Indexy pre tabuľku `uzivatelia`
--
ALTER TABLE `uzivatelia`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `kod` (`kod`);

--
-- AUTO_INCREMENT pre exportované tabuľky
--

--
-- AUTO_INCREMENT pre tabuľku `druhy`
--
ALTER TABLE `druhy`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pre tabuľku `ekon_obj`
--
ALTER TABLE `ekon_obj`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pre tabuľku `files`
--
ALTER TABLE `files`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pre tabuľku `inventura`
--
ALTER TABLE `inventura`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pre tabuľku `lokacie`
--
ALTER TABLE `lokacie`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pre tabuľku `majetok`
--
ALTER TABLE `majetok`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pre tabuľku `majetok_tmp`
--
ALTER TABLE `majetok_tmp`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pre tabuľku `nastavenia`
--
ALTER TABLE `nastavenia`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT pre tabuľku `org_str`
--
ALTER TABLE `org_str`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pre tabuľku `osoby`
--
ALTER TABLE `osoby`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pre tabuľku `prava`
--
ALTER TABLE `prava`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pre tabuľku `users`
--
ALTER TABLE `users`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT pre tabuľku `uzivatelia`
--
ALTER TABLE `uzivatelia`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- Obmedzenie pre exportované tabuľky
--

--
-- Obmedzenie pre tabuľku `prava`
--
ALTER TABLE `prava`
  ADD CONSTRAINT `prava_fk_kodlok` FOREIGN KEY (`kod_lok`) REFERENCES `lokacie` (`kod`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `prava_fk_koduziv` FOREIGN KEY (`kod_uziv`) REFERENCES `uzivatelia` (`kod`) ON DELETE CASCADE ON UPDATE CASCADE;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
